Skip to main content
PATCH
Update Address
The PATCH request is used to partially update an existing entity by the given id. This means:
  • Only the fields provided in the request body will be updated.
  • Fields not provided in the request body will remain unchanged.
  • The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.

Authorizations

X-API-Key
string
header
required

API Key for authentication

Path Parameters

customer_id
string
required

customer_id

address_id
string
required

address_id

Body

application/json

request

reference_id
string
Maximum string length: 255
Example:

"ADDR123"

first_name
string
Maximum string length: 50
Example:

"John"

last_name
string
Maximum string length: 50
Example:

"Doe"

phone
string
Example:

"+14155552671"

email
string
Example:

"john.doe@example.com"

address_line_1
string
Maximum string length: 255
Example:

"123 Main St"

address_line_2
string
Maximum string length: 255
Example:

"Apt 101"

city
string
Maximum string length: 50
Example:

"Anytown"

state
string
Maximum string length: 50
Example:

"CA"

country
string
Example:

"US"

zip_code
string
Maximum string length: 50
Example:

"12345"

type
enum<string>
Available options:
billing,
shipping
Example:

"billing"

is_default
boolean

When true, sets this as the default address for its type. Omitted/false does not change the current default.

attributes
object[]

Response

OK

data
object